File: octave.lintian-overrides

package info (click to toggle)
octave 4.4.1-5
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster
  • size: 114,832 kB
  • sloc: cpp: 310,009; ansic: 54,616; fortran: 22,631; yacc: 8,706; sh: 8,231; objc: 7,972; lex: 3,897; perl: 1,540; java: 1,309; awk: 1,070; makefile: 415; xml: 59
file content (23 lines) | stat: -rw-r--r-- 1,129 bytes parent folder | download | duplicates (3)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
# The package is built using debhelper compat 9 + dh_auto_configure, so these
# hardening warning are false positives
octave: hardening-no-fortify-functions *

# The empty directories are created on purpose by the upstream build
# process
octave: package-contains-empty-directory usr/lib/*/octave/*/site/exec/*/
octave: package-contains-empty-directory usr/lib/*/octave/*/site/oct/*/
octave: package-contains-empty-directory usr/lib/*/octave/packages/
octave: package-contains-empty-directory usr/lib/*/octave/site/exec/*/
octave: package-contains-empty-directory usr/lib/*/octave/site/oct/*/
octave: package-contains-empty-directory usr/share/octave/packages/

# The call to exit() happens in a private library
octave: shlib-calls-exit usr/lib/*/octave/*/liboctgui.so.*

# The path is on purpose, it avoids running a user-installed octave binary
octave: command-with-path-in-maintainer-script postinst:* /usr/bin/octave

# This is a permanent Breaks; using Conflicts would make upgrades more painful
octave: breaks-without-version liboctave3v5
octave: breaks-without-version liboctave4
octave: breaks-without-version liboctave5